<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerLaporanArisanMotor extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->model('notifikasi_arisan');
        $this->load->model('kabag_arisan/insert_model');
        $this->load->model('kabag_arisan/select_model');
        $this->load->model('kabag_arisan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function index()
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page  
        $data_arisan           = $this->select_model->vd_arisanMotor(); // Data Semua Arisan Motor Aktif
        // Bagian Arisan Heboh
        // echo '<pre>';
        // var_dump($data_arisan_aktif);
        // die;
        $anggota_aktif         = $this->select_model->getDataAnggotaAktifMotor(); // Data Semua Anggota Arisan Status Aktif
        $anggota_menang        = $this->select_model->getDataAnggotaMenang(); // Data Semua Anggota Arisan Menang
        $anggota_mundur        = $this->select_model->getDataAnggotaMundur(); // Data Semua Anggota Arisan Mundur 
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'laporan/motor',
            'page'                => 'index',
            'judul'               => 'Data Laporan Arisan Motor || Bagian Kabag Arisan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Isi data konten
            'data_arisan'         => $data_arisan,
            // Jumlah anggota arisan
            'anggota_aktif'       => $anggota_aktif,
            'anggota_menang'      => $anggota_menang,
            'anggota_mundur'      => $anggota_mundur,
            'jml_pengajuan'       => $jml_pengajuan
        );
        $this->load->view('arisan/index', $data);
    }
    function laporan($id)
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        $regist_arisan        = $this->encrypt->decode($id);
        // Data Login Identitas Karyawan 
        $data_login           = $this->userlogin->user_login('isloggedin');
        $data_id_login        = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_pemenang          = $this->select_model->getDataAnggotaArisan($regist_arisan); // Data Anggota Pemenang Arisan
        $ttl_pemenang           = count($data_pemenang);
        $data_mundur            = $this->select_model->getDataAnggotaArisanMundur($regist_arisan);
        $ttl_mundur             = count($data_mundur);
        $data_kaskelompok       = $this->select_model->getDataLapKemarin($regist_arisan);
        $data_pendapatan        = $this->select_model->getDataPendapatanArisanHeboh($regist_arisan);
        $data_arisan            = $this->db->get_where('p_arisan', ['id' => $regist_arisan])->row_array();
        $data = array(
            // Untuk memanggil halaman sesuai menu 
            'folder'              => 'laporan/motor/rincian',
            'page'                => 'index',
            'judul'               => 'Data Laporan Arisan Motor || Bagian Kabag Arisan',
            // Login Data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Isi data
            'data_pemenang'       => $data_pemenang,
            'ttl_pemenang'        => $ttl_pemenang,
            'ttl_mundur'          => $ttl_mundur,
            'ttl_kaskelompok'     => $data_kaskelompok,
            'ttl_pendapatan'      => $data_pendapatan,
            'jml_pengajuan'       => $jml_pengajuan,
            'data_arisan'         => $data_arisan
        );
        $this->load->view('arisan/index', $data);
    }
    function detail($id)
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi  
        // Cek ID apakah kode laporan atau kode arisan dan jadwal
        $kd_laporan = $this->encrypt->decode($id);
        // echo '<pre>';
        // var_dump($this->encrypt->decode($id));
        // die;
        // Data Login Identitas Karyawan
        $data_login           = $this->userlogin->user_login('isloggedin');
        $data_id_login        = $this->session->userdata('isloggedin');
        // Data Arisan
        $data_laporan          = $this->select_model->getDataDetailLaporan($kd_laporan);
        $data_tunggakan        = $this->select_model->getDataLaporanAnggotaTunggakan($kd_laporan);
        $data_tunggakan_bayar  = $this->select_model->getDataLaporanAnggotaTunggakanBayar($kd_laporan);
        $jml_tunggakan         = count($data_tunggakan);
        $jml_tunggakan_bayar   = count($data_tunggakan_bayar);
        $data_arisan           = $this->db->get_where('p_arisan', ['id' => $data_laporan['regist_arisan']])->row_array();
        $data_jadwal           = $this->db->get_where('p_arisan_jadwal', ['id' => $data_laporan['jadwal_id']])->row_array();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'laporan/motor/detail',
            'page'                => 'index',
            'judul'               => 'Data Laporan Arisan Motor || Bagian Kabag Arisan',
            // Login Data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Data Konten
            'laporan'             => $data_laporan,
            'anggota_tunggakan'   => $data_tunggakan,
            'tunggakan_bayar'     => $data_tunggakan_bayar,
            'jml_tunggakan'       => $jml_tunggakan,
            'jml_tunggakanbayar'  => $jml_tunggakan_bayar,
            'data_arisan'         => $data_arisan,
            'jadwal_arisan'       => $data_jadwal,
            'jml_pengajuan'       => $jml_pengajuan

        );
        $this->load->view('arisan/index', $data);
    }
}

/* End of file ControllerLaporanArisanMotor.php and path \application\controllers\arisan\laporan\ControllerLaporanArisanMotor.php */